MeiroDocs

Audience API

+ Parameters

Section: Group Audience API. Base URL: https://instance_name.meiro.io/api/.

Customer Attributes [/wbs{?attribute,value,segment,param}]

Get Customer Attributes [GET]

  • Parameters

    • attribute (string) - stitching category ID
    • value (string) - stitching category value
    • segment (number, optional) - segment ID
    • param (string, optional) - up to 10 optional multi-value parameters to be used in custom queries
  • Response 200 (application/json)

{
    "status": "ok",
    "client_ip": "123.123.123.123",
    "returned_attributes": {
        "customer_entity_id": "0569b7f2-c7b4-b1df-3ff9-74c9d1ca3459",
        "modified": "2024-03-01T19:20:13.639076"
    },
    "data": null,
    "customer_entity_id": "0569b7f2-c7b4-b1df-3ff9-74c9d1ca3459"
}

IP Address Lookup [/wbs/ip_lookup]

Get IP Address [GET]

  • Response 200 (application/json)
{
    "client_ip": "123.123.123.123",
    "country_code": "CZ"
}

Customer Segments [/wbs{?attribute,value,tags}]

Get Customer Segments [GET]

  • Parameters

    • attribute (string) - stitching category ID
    • value (string) - stitching category value
    • tags[] (array[string], optional) - segment tags to include
  • Response 200 (application/json)

{
    "status": "ok",
    "client_ip": "123.123.123.123",
    "segment_ids": [
        3,
        5,
        4,
        2,
        1
    ]
}

Promo Codes [/promo_codes/{id}]

Get Promo Code [GET]

  • Response 200 (application/json)
{
    "promo_code": "code"
}

Email Subscription Status [/email_subscription_status{?email_address}]

Get Email Subscription Status [GET]

  • Parameters

    • email_address (string) - email address to get subscription status for
  • Response 200 (application/json)

{
    "blocked": false,
    "consent": true,
    "customer_entity_id": "2b15be9f-febb-0039-95d5-6c678ef31d28",
    "email_address": "we.are@meiro.io"
}

Customer Conditions -- private endpoint -- [/customer_conditions]

Check customer entity against conditions [POST]

  • Attributes

    • customer_entity_identifier (string) - Customer entity identifier UUID
    • conditions_operation (object)
  • Response 200 (application/json)

{
    "result": true
}

On this page